curl --request GET \
--url https://open.bigmodel.cn/api/paas/v4/async-result/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"request_id": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"reasoning_content": "<string>",
"audio": {
"id": "<string>",
"data": "<string>",
"expires_at": "<string>"
},
"tool_calls": [
{
"function": {
"name": "<string>",
"arguments": "<string>"
},
"mcp": {
"id": "<string>",
"type": "mcp_list_tools",
"server_label": "<string>",
"error": "<string>",
"tools": [
{
"name": "<string>",
"description": "<string>",
"annotations": {},
"input_schema": {
"type": "object",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
}
],
"arguments": "<string>",
"name": "<string>",
"output": {}
},
"id": "<string>",
"type": "<string>"
}
]
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
},
"total_tokens": 123
},
"video_result": [
{
"url": "<string>",
"cover_image_url": "<string>"
}
],
"web_search": [
{
"icon": "<string>",
"title": "<string>",
"link": "<string>",
"media": "<string>",
"publish_date": "<string>",
"content": "<string>",
"refer": "<string>"
}
],
"content_filter": [
{
"role": "<string>",
"level": 123
}
]
}查询对话补全和视频生成异步请求的处理结果和状态。
curl --request GET \
--url https://open.bigmodel.cn/api/paas/v4/async-result/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"request_id": "<string>",
"created": 123,
"model": "<string>",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"reasoning_content": "<string>",
"audio": {
"id": "<string>",
"data": "<string>",
"expires_at": "<string>"
},
"tool_calls": [
{
"function": {
"name": "<string>",
"arguments": "<string>"
},
"mcp": {
"id": "<string>",
"type": "mcp_list_tools",
"server_label": "<string>",
"error": "<string>",
"tools": [
{
"name": "<string>",
"description": "<string>",
"annotations": {},
"input_schema": {
"type": "object",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
}
],
"arguments": "<string>",
"name": "<string>",
"output": {}
},
"id": "<string>",
"type": "<string>"
}
]
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123
},
"total_tokens": 123
},
"video_result": [
{
"url": "<string>",
"cover_image_url": "<string>"
}
],
"web_search": [
{
"icon": "<string>",
"title": "<string>",
"link": "<string>",
"media": "<string>",
"publish_date": "<string>",
"content": "<string>",
"refer": "<string>"
}
],
"content_filter": [
{
"role": "<string>",
"level": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.bigmodel.cn/llms.txt
Use this file to discover all available pages before exploring further.
任务 ID。
业务处理成功
任务 ID
请求 ID
请求创建时间,Unix 时间戳(秒)
模型名称
模型响应列表
Hide child attributes
结果索引
Hide child attributes
当前对话角色,默认为 assistant
"assistant"
当前对话文本内容。如果调用函数则为 null,否则返回推理结果。
对于GLM-4.5V系列模型,返回内容可能包含思考过程标签 <think> </think>,文本边界标签 <|begin_of_box|> <|end_of_box|>。
思维链内容,仅在使用 glm-4.5 系列, glm-4.1v-thinking 系列模型时返回。
生成的应该被调用的函数名称和参数。
Hide child attributes
MCP 工具调用参数
Hide child attributes
mcp 工具调用唯一标识
工具调用类型, 例如 mcp_list_tools, mcp_call
mcp_list_tools, mcp_call MCP服务器标签
错误信息
type = mcp_list_tools 时的工具列表
Hide child attributes
工具名称
工具描述
工具注解
工具输入参数规范
Hide child attributes
固定值 'object'
object 参数属性定义
必填属性列表
是否允许额外参数
工具调用参数,参数为 json 字符串
工具名称
工具返回的结果输出
命中函数的唯一标识符。
调用的工具类型,目前仅支持 'function', 'mcp'。
推理终止原因。'stop’表示自然结束或触发stop词,'tool_calls’表示模型命中函数,'length’表示达到token长度限制,'sensitive’表示内容被安全审核接口拦截(用户应判断并决定是否撤回公开内容),'network_error’表示模型推理异常,'model_context_window_exceeded'表示超出模型上下文窗口。
调用结束时返回的 Token 使用统计。